
Testing plugin...

<object id="plugin" type="application/x-nacl-imc">Plugin not working</object>

<script type="text/javascript">
function onload() {
    try {
        var plugin = document.getElementById("plugin");
        function receive(msg) {
            dump("Javascript got message: \"" + msg + "\"\n");
        }
        plugin.get_file("imcread", function(file) {
            dump("got file: " + file + "\n");
            var proc = plugin.launch(file, ["arg1", "arg2"], receive);
            dump("proc = " + proc + "\n");
            proc.send("Hello from Javascript to NaCl!", []);
            plugin.get_file("input.txt", function(file2) {
                proc.send("Sending file FD", [file2]);
            });
        });
        plugin.launch(1,2,3);
    }
    catch(e) {
        dump(e + "\n");
    }
}
window.onload = onload;
</script>
